Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.client
Class ServiceReferenceable

    java.lang.Object
      org.jboss.webservice.client.ServiceReferenceable

All Implemented Interfaces:
  Referenceable

public class ServiceReferenceable
extends Object
implements Referenceable

A JNDI reference to a javax.xml.rpc.Service

It holds the information to reconstrut the javax.xml.rpc.Service when the client does a JNDI lookup.

Since:
  15-April-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary
`static String` | `DEPLOYMENT_URL`
`static String` | `PORT_COMPONENT_LINK`
`static String` | `PORT_COMPONENT_LINK_SERVLET`
`static String` | `SERVICE_REF_META_DATA`

Constructor Summary
`ServiceReferenceable(org.jboss.webservice.metadata.ServiceRefMetaData refMetaData, org.jboss.deployment.DeploymentInfo di)` A service referenceable for a WSDL document that is part of the deployment

Method Summary
`Reference` | `getReference()` Retrieves the Reference of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_REF_META_DATA

    public static final String SERVICE_REF_META_DATA

See Also:
  Constant Field Values

### DEPLOYMENT_URL

    public static final String DEPLOYMENT_URL

See Also:
  Constant Field Values

### PORT_COMPONENT_LINK

    public static final String PORT_COMPONENT_LINK

See Also:
  Constant Field Values

### PORT_COMPONENT_LINK_SERVLET

    public static final String PORT_COMPONENT_LINK_SERVLET

See Also:
  Constant Field Values

Constructor Detail

### ServiceReferenceable

    public ServiceReferenceable(org.jboss.webservice.metadata.ServiceRefMetaData refMetaData,
                                org.jboss.deployment.DeploymentInfo di)

  A service referenceable for a WSDL document that is part of the deployment

Parameters:
  `refMetaData` - The service-ref meta data
  `di` - The client DeploymentInfo

Method Detail

### getReference

    public Reference getReference()
                           throws NamingException

  Retrieves the Reference of this object.

  Specified by:
    `getReference` in interface `Referenceable`
  Returns:
    The non-null Reference of this object.
  Throws:
    `NamingException` - If a naming exception was encountered while retrieving the reference.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.